
Redmine - Patch #2815

Internal server error after updating to r2519

2009-02-23 21:23 - Mihaly Nyeste

Status: Closed Start date: 2009-02-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

After updating to r2519 redmine stopped to work, the error message was HTTP 500, the relevant log excerpt is the following:

/!\ FAILSAFE /!\  Mon Feb 23 20:51:51 +0100 2009

Status: 500 Internal Server Error

 A secret is required to generate an integrity hash for cookie session data. Use config.action_controller.session = {

:session_key => "_myapp_session",    :secret => "some secret phrase of at least 30 characters" } in config/environment.rb

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session/cookie_store.rb:91:in `ensure_secret_secure'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session/cookie_store.rb:59:in `initialize'

/usr/lib/ruby/1.8/cgi/session.rb:279:in `new'

...

Based on error message I added the following line to environment.rb:

config.action_controller.session = { :session_key => "_myapp_session", :secret => "eiR0Eph9cein2ooreree3Aiya1ocho"}

I'm not sure, that it is the proper solution, but it is working for me.

History

#1 - 2009-02-23 21:31 - Jean-Baptiste Barth

I think you've missed this news

#2 - 2009-02-23 22:42 - Mihaly Nyeste

- Status changed from New to Resolved

You're right I missed it, even it was right in front of my eyes...

#3 - 2009-02-24 11:42 - Azamat Hackimov

- Status changed from Resolved to Closed

closed :)

#4 - 2009-03-12 03:36 - Leandro Lucarella

- Status changed from Closed to Reopened

I don't know if this is a plug-in issue or Redmine issue but I'm getting this error when using the BotsFilterPlugin. I've done all the upgrade steps (I'm on

latest svn) and if I remove the plugin, it works great.

#5 - 2009-10-03 12:43 - Jérémy Lal

- File prod.log added

With redmine trunk 2886 and rails 2.2.3, if i simply add the bots filter plugin v1.01, it crashes (see attached stack trace),

if i remove it, it works ok.

My config/initializers/session_store.rb is properly set, and i can use redmine, login, without any trouble, except when

i add this plugin.

#6 - 2009-10-03 17:35 - Jérémy Lal

Setting in config/environment.rb :
https://www.redmine.org/projects/redmine/repository/svn/revisions/2519
http://www.redmine.org/news/show/22
https://www.redmine.org/projects/redmine/wiki/BotsFilterPlugin


config.action_controller.session_store = :active_record_store

fixes the issue, though i have no idea why.

#7 - 2009-10-03 17:36 - Jérémy Lal

forgot to mention that

rake db:sessions:create

rake db:migrate

shall be called for the previous line to work.

#8 - 2009-10-05 00:21 - Jérémy Lal

In fact it did not really fix the issue, it just hid it,

see issue #3969.

#9 - 2009-11-11 19:52 - Jean-Philippe Lang

- Status changed from Reopened to Closed

This is not reproductible with latest trunk and Rails 2.3.4.

Files

config_action_controller_session_r2519.patch 759 Bytes 2009-02-23 Mihaly Nyeste

prod.log 3.5 KB 2009-10-03 Jérémy Lal
